Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.Response Class Reference

Inherits SystemIDisposable.

## Public Types
enum | ResponseType { ResponseType.e_TypeNone = 0, ResponseType.e_TypeCRL = 1, ResponseType.e_TypeOCSP = 2 }
| Enumeration for response type. More...

## Public Member Functions
| Response (Response.ResponseType type, byte[] response_data)
| Constructor, with parameters. More...
| Response ()
| Constructor.
| Response (Response other)
| Constructor, with another response object. More...
void | Set (Response.ResponseType type, byte[] response_data)
| Set value. More...

## Properties
byte [] | response_data`[get, set]`
| Response content.
Response.ResponseType | type`[get, set]`
| Response type. Please refer to values starting from foxit.pdf.Response.ResponseType.e_TypeNone and this should be one of these values.

## Detailed Description

This class represents a response for a certificate.

## Member Enumeration Documentation

## ◆ ResponseType

enum foxit.pdf.Response.ResponseType
| strong

Enumeration for response type.

Values of this enumeration should be used alone.

Enumerator
e_TypeNone | No response.
e_TypeCRL | CRL response.
e_TypeOCSP | OCSP response.

## Constructor & Destructor Documentation

## ◆ Response() [1/2]

foxit.pdf.Response.Response | ( | Response.ResponseType | type,
|  | byte [] | response_data
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | type | Response type. Please refer to values starting from foxit.pdf.Response.ResponseType.e_TypeNone and this should be one of these values.
  [in] | response_data | Response content.

## ◆ Response() [2/2]

foxit.pdf.Response.Response | ( | Response | other | ) |
| inline

Constructor, with another response object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.Response.Set | ( | Response.ResponseType | type,
|  | byte [] | response_data
| ) |  |
| inline

Set value.

Parameters

  [in] | type | Response type. Please refer to values starting from foxit.pdf.Response.ResponseType.e_TypeNone and this should be one of these values.
  [in] | response_data | Response content.

Returns
  None.